# Class: WorkflowClient

## WorkflowClient

## Constructor

#### new WorkflowClient(jiraClient)

Used to access Jira REST endpoints in '/rest/api/2/workflow'

##### Parameters:

Name | Type | Description
--- | --- | ---
`jiraClient` | JiraClient |

Source:
  - api/workflow.js, line 5

### Methods

#### getWorkflows(opts, callback)

Returns all workflows.

##### Parameters:

Name | Type | Description
--- | --- | ---

`opts`

Object

The request options sent to the Jira API

###### Properties

Name | Type | Attributes | Description
--- | --- | --- | ---
`workflowName` | string | <optional> | The name of the workflow to retrieve.

`callback` |  | Called when the workflow(s) have been retrieved.

Source:
  - api/workflow.js, line 14